<template>
  <header>
    <RouterLink to="/" class="nav-link" exact>
      {{ $t("links.home") }}
    </RouterLink>
    <RouterLink to="/search" class="nav-link">
      {{ $t("links.search") }}
    </RouterLink>
    <RouterLink to="/about" class="nav-link">
      {{ $t("links.about") }}
    </RouterLink>
    <select v-model="$i18n.locale">
      <option
        v-for="locale in $i18n.availableLocales"
        :key="`locale-${locale}`"
        :value="locale"
      >
        {{ locale }}
      </option>
    </select>
  </header>
  <main>
    {{ addressState.addressList.from.city }}
    {{ searchStore.coordinatesLength }}
    <RouterView v-slot="{ Component }">
      <transition name="fade-x" appear mode="out-in">
        <component :is="Component" />
      </transition>
    </RouterView>
  </main>
</template>

<script setup>
import { useAddress } from "@/composables/useAddress";
import { useSearchStore } from "@/stores/search";

const { state: addressState } = useAddress();
const searchStore = useSearchStore();
</script>

<style scoped>
.fade-x-enter-from,
.fade-x-leave-to {
  opacity: 0;
  transform: translateX(20px);
}

.fade-x-enter-active,
.fade-x-leave-active {
  transition: opacity 1s, transform 1s;
}
</style>
